.sidebar {
    &-content {
        display: flex;
        width: 100%;
        height: 100%;
        flex-direction: column;
        position: relative;
        grid-row-start: 1;
        grid-column-start: 1;
        overflow: hidden;
    }

    &-header {
        background-color: var(--surface-color);
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 0 1rem;
        min-height: 3.5rem;
        flex: 0 0 auto;
        user-select: none;
        cursor: default;
    }
    &-content {
        width: 100%;
        max-height: 100%;
        height: 100%;
        overflow: hidden;
        display: flex;
        position: relative;
        flex: 1 1 auto;
    }
}